sc::SCElementOp3(3)

NAME
sc::SCElementOp3 -

The SCElementOp3 class is very similar to the SCElementOp class except that a triplet of blocks is treated simultaneously'.

SYNOPSIS

#include <elemop.h>

Inherits sc::SavableState'.

Inherited by sc::BlockedSCElementOp3, and sc::OneBody3IntOp'.

  Public Member Functions
SCElementOp3 (StateIn &s)
virtual int has_collect ()
virtual void defer_collect (int)
virtual int has_side_effects ()
virtual int has_side_effects_in_arg1 ()
virtual int has_side_effects_in_arg2 ()
virtual void collect (const Ref< MessageGrp > &)
virtual void process (SCMatrixBlockIter &, SCMatrixBlockIter &, SCMatrixBlockIter &)=0
void process_base (SCMatrixBlock *, SCMatrixBlock *, SCMatrixBlock *)
virtual void process_spec_rect (SCMatrixRectBlock *, SCMatrixRectBlock *, SCMatrixRectBlock *)
virtual void process_spec_ltri (SCMatrixLTriBlock *, SCMatrixLTriBlock *, SCMatrixLTriBlock *)
virtual void process_spec_diag (SCMatrixDiagBlock *, SCMatrixDiagBlock *, SCMatrixDiagBlock *)
virtual void process_spec_vsimp (SCVectorSimpleBlock *, SCVectorSimpleBlock *, SCVectorSimpleBlock *)

Detailed Description

The SCElementOp3 class is very similar to the SCElementOp class except that a triplet of blocks is treated simultaneously'. The three matrices involved must have identical storage layout, which will be the case if all matrices are of the same type and dimensions'.

Author

Generated automatically by Doxygen for MPQC from the source code'.